"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class IsAlreadyExistsError extends Error {
    constructor(error) {
        super(error.message);
        const res = IsAlreadyExistsError.regexp.exec(error.message);
        this.hash = res && res.length >= 1 ? res[1] : '';
        this.name = IsAlreadyExistsError.ID;
    }
    static match(err) {
        return IsAlreadyExistsError.regexp.test(err.message);
    }
}
exports.IsAlreadyExistsError = IsAlreadyExistsError;
IsAlreadyExistsError.ID = 'ALREADY_EXISTS';
IsAlreadyExistsError.regexp = new RegExp('\"(.*)\" already exists');
