"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convert = (task, data) => {
    const convert = (type, value) => {
        return {
            Object: (x) => typeof x === 'string' ? JSON.parse(x) : x,
            String: (x) => x,
            Boolean: (x) => ['true', 't', 'TRUE', 'T', '1'].includes(x),
            Number: (x) => parseFloat(x),
            Any: (x) => x,
        }[type](value);
    };
    const result = (task.inputs || [])
        .filter((x) => data[x.key] !== undefined && data[x.key] !== null)
        .reduce((prev, value) => (Object.assign(Object.assign({}, prev), { [value.key]: convert(value.type, data[value.key]) })), {});
    return result || {};
};
