"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const runner_1 = __importDefault(require("@mesg/runner"));
const container_1 = __importDefault(require("@mesg/runner/lib/providers/container"));
exports.create = (lcdEndpoint, orchestratorEndpoint, mnemonic, engineAddress, serviceHash, env) => __awaiter(void 0, void 0, void 0, function* () {
    const provider = new container_1.default();
    const runner = new runner_1.default(provider, lcdEndpoint, orchestratorEndpoint, mnemonic, engineAddress);
    return runner.start(serviceHash, env);
});
exports.stop = (lcdEndpoint, orchestratorEndpoint, mnemonic, engineAddress, runnerHash) => __awaiter(void 0, void 0, void 0, function* () {
    const provider = new container_1.default();
    const runner = new runner_1.default(provider, lcdEndpoint, orchestratorEndpoint, mnemonic, engineAddress);
    return runner.stop(runnerHash);
});
